## com.google.javascript.jscomp.parsing
Class ParserRunner

    java.lang.Object
      com.google.javascript.jscomp.parsing.ParserRunner

    public class ParserRunner

extends Object

Method Summary
`static Config` | `createConfig(boolean isIdeMode)` Deprecated.
`static Config` | `createConfig(boolean isIdeMode, Config.LanguageMode languageMode, boolean acceptConstKeyword)`
`static Config` | `createConfig(boolean isIdeMode, Config.LanguageMode languageMode, boolean acceptConstKeyword, Set<String> extraAnnotationNames)`
`static Node` | `parse(StaticSourceFile sourceFile, String sourceString, Config config, com.google.javascript.rhino.head.ErrorReporter errorReporter, Logger logger)` Parses the JavaScript text given by a reader.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createConfig

    @Deprecated
    public static Config createConfig(boolean isIdeMode)

  Deprecated.

### createConfig

    public static Config createConfig(boolean isIdeMode,
                                      Config.LanguageMode languageMode,
                                      boolean acceptConstKeyword)

### createConfig

    public static Config createConfig(boolean isIdeMode,
                                      Config.LanguageMode languageMode,
                                      boolean acceptConstKeyword,
                                      Set<String> extraAnnotationNames)

### parse

    public static Node parse(StaticSourceFile sourceFile,
                             String sourceString,
                             Config config,
                             com.google.javascript.rhino.head.ErrorReporter errorReporter,
                             Logger logger)
                      throws IOException

  Parses the JavaScript text given by a reader.

  Parameters:
    `sourceString` - Source code from the file.
    `errorReporter` - An error.
    `logger` - A logger.
  Returns:
    The AST of the given text.
  Throws:
    `IOException`